﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.SharePoint.Client;

namespace WebPartsInAction.Ch11.TaskCount {
    public partial class MainPage : UserControl {
        public MainPage() {
            InitializeComponent();
        }

        List tasks;
        private void UserControl_Loaded(object sender, RoutedEventArgs e) {
            using (ClientContext context = ClientContext.Current) {
                if (context == null) {
                    Dispatcher.BeginInvoke(() => { label2.Content = "--"; });
                    return;
                }
                tasks = context.Web.Lists.GetByTitle("Tasks");
                context.Load(tasks);
                context.ExecuteQueryAsync(requestSuceeded, requestFailed);
            }
        }
        private void requestSuceeded(object sender, ClientRequestSucceededEventArgs e) {
            Dispatcher.BeginInvoke(() => {
                label2.Content = tasks.ItemCount.ToString();
            });
        }
        private void requestFailed(object sender, ClientRequestFailedEventArgs e) {
            Dispatcher.BeginInvoke(() => { label2.Content = "??"; });
        }
    }
}
