﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint.WebPartPages;
using Microsoft.SharePoint;
using Microsoft.SharePoint.MobileControls;
using System.Web.UI.MobileControls;

using System.Runtime.InteropServices;

namespace WebPartsInAction.Ch12.Mobility {
    [Guid("c9e8df70-fb98-4095-b7f6-03f161c60195")]
    public class PageEditorMobileAdapter : WebPartMobileAdapter {
        protected override void CreateControlsForSummaryView() {
            SPFile file = SPContext.Current.Web.GetFile(this.Page.Request.QueryString["Url"]);
            SPUser author = file.Author;

            this.Controls.Add(new SPMobileLabel() {
                Text = "Page author: " + author.Name
            });

            this.Controls.Add(new PhoneCall() {
                Text = "Call author",
                PhoneNumber = "555-123456"
            });


        }
    }
}
