﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace WebPartsInAction.Ch12.PageEditor.PageEditorWebPart {
    [ToolboxItemAttribute(false)]
    public class PageEditorWebPart : WebPart {
    protected override void CreateChildControls() {
        SPFile file = SPContext.Current.File;
        SPUser author = file.Author;
        this.ChromeType = PartChromeType.None;
        this.Controls.Add(new HyperLink() {
            Text = "Page author: " + author.Name,
            NavigateUrl = "mailto:" + author.Email
        });
    }
    }
}
