﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;
using Microsoft.SharePoint.UserCode;

namespace WebPartsInAction.Ch7.SandboxFeedProxy {
public class FeedOperation : SPProxyOperation {
    public override object Execute(SPProxyOperationArgs args) {
        if (args != null) {
            FeedOperationArgs feedArgs = args as FeedOperationArgs;
            if (feedArgs != null) {
                return XElement.Load(feedArgs.FeedUri.ToString()).ToString();
            }
        }
        return null;
    }
}
}
