﻿if (!window.feeds) window.feeds = {

    feedTimer: function (id) {
        $(document).everyTime(5000, function () {
            SP.UI.Notify.addNotification('<img src="/_layouts/images/loadingcirclests16.gif"/> Refreshing feed...');
            __doPostBack($('#' + id + ' div:first')[0].id, '');
        }, 0);
    },

    statusId: null,

    feedsNotFound: [],

    feedNotFound: function (uri) {
        var html = 'Unable to locate the feed: <a href="' + uri + '">' + uri + '</a>. ';
        var title = 'Feed not found';
        if (this.statusId == null) {
            this.statusId = SP.UI.Status.addStatus(title, html, true);
            SP.UI.Status.setStatusPriColor(this.statusId, 'red');
            this.feedsNotFound[this.feedsNotFound.length] = uri;
        } else {
            var found = false;
            for (var i = 0; i < this.feedsNotFound.length; i++) {
                if (this.feedsNotFound[i] == uri) {
                    found = true;
                }
            }
            if (!found) {
                this.feedsNotFound[this.feedsNotFound.length] = uri;
                SP.UI.Status.appendStatus(this.statusId, title, html);
            }
        }

    },


    editFeed: function (id) {
        var options = {
            title: "Configure RSS Feed URL",
            url: "/_layouts/DynRSSDialog.aspx?url=" + $('#' + id + ' input:first').val(),
            width: 400,
            height: 200,
            allowMaximize: false,
            showClose: true,
            dialogReturnValueCallback: function (result, target) {
                feeds.closeCallback(result, target, id)
            }
        }
        SP.UI.ModalDialog.showModalDialog(options);
    },

    closeCallback: function (result, target, id) {
        if (result == SP.UI.DialogResult.OK) {
            SP.UI.Notify.addNotification('<img src="/_layouts/images/loadingcirclests16.gif"/> Saving Web Part...');
            $('#' + id + ' input:first').val(target);
            __doPostBack($('#' + id + ' div:first')[0].id, '');
        }
    },

    refreshAll: function () {
        SP.UI.Notify.addNotification('<img src="/_layouts/images/loadingcirclests16.gif"/> Refreshing feeds...');
        $(".feedWebPart div:first").each(function () {
            __doPostBack($(this)[0].id, '');
        });
    }
};