﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;
using System.Web.UI.HtmlControls;
using Microsoft.SharePoint.WebPartPages;

namespace WebPartsInAction.Ch11.TaskCountWebPart.ManualTaskCountWebPart {
    [ToolboxItemAttribute(false)]
    //public class ManualTaskCountWebPart : WebPart {
    public class ManualTaskCountWebPart : ClientApplicationWebPartBase {
        protected override void CreateChildControls() {
            Panel ctrlHost = new Panel() {
                ID = "silverlightControlHost"
            };
            var objectControl = new HtmlGenericControl("object");
            objectControl.Attributes.Add("data", "data:application/x-silverlight-2");
            objectControl.Attributes.Add("type", "application/x-silverlight-2");
            objectControl.Attributes.Add("width", "100%");
            objectControl.Attributes.Add("height", "100%");

            objectControl.Controls.Add(createParam("source", SPContext.Current.Site.Url + "/Shared%20Documents/TaskCountApp/WebPartsInAction.Ch11.TaskCount.xap"));
            objectControl.Controls.Add(createParam("background", "white"));
            objectControl.Controls.Add(createParam("minRuntimeVersion", "4.0.50401.0"));
            objectControl.Controls.Add(createParam("initParams", GetInitParams()));

            objectControl.Controls.Add(new LiteralControl("Install Silverlight!"));
            ctrlHost.Controls.Add(objectControl);

            this.Controls.Add(ctrlHost);
        }
        private static HtmlGenericControl createParam(string name, string value) {
            var param = new HtmlGenericControl("param");
            param.Attributes.Add("name", name);
            param.Attributes.Add("value", value);
            return param;
        }
    


    }
}
