﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint.WebPartPages;
using Microsoft.SharePoint;
using System.Web.UI;
using Microsoft.SharePoint.MobileControls;
using System.Web.UI.MobileControls;
using System.Runtime.InteropServices;

namespace WebPartsInAction.Ch12.Mobility {
    
    [Guid("95bd5e48-0771-4f32-9ff8-1877b6deaa6d")]
    public class TaskCountMobileAdapter: WebPartMobileAdapter {
        protected override void CreateControlsForDetailView() {
            SPWeb web = this.Web;
            SPList list = web.Lists.TryGetList("Tasks");
            if (list != null) {
                SPMobileLabel heading = new SPMobileLabel() { 
                    Text = "Tasks!", 
                    BreakAfter = true 
                };
                heading.Font.Bold = BooleanOption.True;
                this.Controls.Add(heading); ;
                this.Controls.Add(new SPMobileLabel() { 
                    Text = string.Format("{0} Tasks", 
                    list.ItemCount) 
                }); ;
            }
        }
        protected override void CreateControlsForSummaryView() {
            base.CreateControlsForSummaryView();
        }
    }
}
