﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace WebPartsInAction.Ch3.WebPart1.MyWebPart {
    [ToolboxItemAttribute(false)]
    public class MyWebPart : WebPart {
        protected TextBox textBox;
        protected Label label;
        protected Button button;

        protected override void CreateChildControls() {
            textBox = new TextBox();
            label = new Label();
            button = new Button();

            button.Text = "Click me!";
            button.Click += new EventHandler(button_Click);

            this.Controls.Add(textBox);
            this.Controls.Add(new LiteralControl("<br/>"));
            this.Controls.Add(label);
            this.Controls.Add(new LiteralControl("<br/>"));
            this.Controls.Add(button);

            base.CreateChildControls();
        }

        void button_Click(object sender, EventArgs e) {
            label.Text = textBox.Text;
        }


    }
}
