﻿using System;
using System.ComponentModel;
using System.Runtime.InteropServices;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;
using SP=Microsoft.SharePoint.WebPartPages;

namespace WebPartsInAction.Ch5.CoordinateWebPart.CoordinateWebPart {
    [ToolboxItemAttribute(false)]
    public class CoordinateWebPart : WebPart {
        public CoordinateWebPart() {
            this.CurrentPosition = new Coordinate();
        }

        protected override void CreateChildControls() {
            this.Controls.Add(new Label() {Text = CurrentPosition.ToString()});
            base.CreateChildControls(); 
        }


        //[SP.WebPartStorage(SP.Storage.None)]
        [WebBrowsable]
        [Personalizable]        
        public Coordinate CurrentPosition {
            get;
            set;
        }
    }
}
