﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint.WebPartPages;
using Microsoft.SharePoint;

namespace WebPartsInAction.Ch6.ImagesAndScripts.WebPartWithImage {
    public partial class WebPartWithImageUserControl : UserControl {
        protected void Page_Load(object sender, EventArgs e) {
            
        }
        protected override void OnInit(EventArgs e) {
            WPImage.ImageUrl = SPWebPartManager.GetServerRelativeClassResourcePath(SPContext.Current.Web, typeof(WebPartWithImage)) + "/Annotation2.png";
            EmbedImage.ImageUrl = Page.ClientScript.GetWebResourceUrl(this.Parent.GetType(), "WebPartsInAction.Ch6.ImagesAndScripts.WebPartWithImage.Annotation3.png");
            
            base.OnInit(e);
        }
    }
}
